Loading...
Searching...
No Matches
GuidewireSim.CollisionDetectionVessel Class Reference
Inheritance diagram for GuidewireSim.CollisionDetectionVessel:

## Private Member Functions

void | Awake ()
int | YieldSphereID (Transform sphereTransform)

## Private Attributes

SimulationLoop | simulationLoop
| The SimulationLoop component in the Simulation GameObject. More...
CollisionHandler | collisionHandler
| The CollisionHandler component in the Simulation GameObject. More...

## Detailed Description

Similarly to CollisionDetectionPrimitive, this class is responsible for tracking collisions of the object it is attached to. Attach this component only to blood vessel objects.

## Member Function Documentation

## Awake()

void GuidewireSim.CollisionDetectionVessel.Awake | ( |  | ) |

private

## YieldSphereID()

int GuidewireSim.CollisionDetectionVessel.YieldSphereID | ( | Transform | sphereTransform | ) |

private

## Member Data Documentation

## collisionHandler

CollisionHandler GuidewireSim.CollisionDetectionVessel.collisionHandler

private

The CollisionHandler component in the Simulation GameObject.

## simulationLoop

SimulationLoop GuidewireSim.CollisionDetectionVessel.simulationLoop

private

The SimulationLoop component in the Simulation GameObject.

The documentation for this class was generated from the following file:

- CollisionDetectionVessel.cs